Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8217 - RPM not buildable as non-root
Summary: RPM not buildable as non-root
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: pam
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 22:35 UTC by Enrico Scholz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 20:18:21 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2000-01-05 22:35:38 UTC
The RPM is not buildable as an ordinary user because /sbin/ldconfig will be
executed in the %install stage (which has no effect at building RPMs).

A workaround is to append "LDCONFIG=:" to the install command:

%install
...
make install FAKEROOT=$RPM_BUILD_ROOT LDCONFIG=:
...

Comment 1 Bill Nottingham 2000-02-05 20:18:59 UTC
Should be fixed in the next pam release.


Note You need to log in before you can comment on or make changes to this bug.